#! /bin/bash

set -e

VERSION="0.11.6.ferreogit3"

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Clone Upstream
git clone https://github.com/ferrreo/booster.git
cp -rvf ./debian ./booster/
cp -vf ./Makefile ./booster/
cp -vf ./booster.yml ./booster/
cp -vf ./update-initramfs ./booster/
cd ./booster

# Get build deps
apt-get build-dep ./ -y

# Build package
LOGNAME=root dh_make --createorig -y -l -p booster_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
